function onBegin()
    
    setFlag("ukiran_YTTL_timebunny", false) -- if you somehow show up WITH the factor, it makes it so you don't die during it. wow!
    disablePause() -- disables pausing so you dont fuck things up! wow!
    wait(0.4) -- waits for the slowdown to fully kick up

    -- plays the YTTL sound effect. The setFlag and wait allow for the words to sync, each text is timed.
    playSound("event:/ukiranMDspookFX/YTTL3_b")

    setFlag("ukiran_YTTLmini_start", true)
    wait(0.1)
    setFlag("ukiran_YTTLmini_youre", true)
    wait(0.4)
    setFlag("ukiran_YTTLmini_taking", true)
    wait(0.5)
    setFlag("ukiran_YTTLmini_too", true)
    wait(0.2)
    setFlag("ukiran_YTTLmini_long", true)
    wait(0.3)

    setFlag("ukiran_YTTL_babybunny", false)
    setFlag("ukiran_YTTL_Is", true)
    setFlag("ukiran_YTTLmini_youre", false)
    wait(0.4)
    setFlag("ukiran_YTTL_taking", true)
    setFlag("ukiran_YTTLmini_taking", false)
    wait(0.45)
    setFlag("ukiran_YTTL_too", true)
    setFlag("ukiran_YTTLmini_too", false)
    wait(0.2)
    setFlag("ukiran_YTTL_long", true)
    setFlag("ukiran_YTTLmini_long", false)
    wait(0.05)

        -- the glow of the text, barely noticable but nice nonetheless.
    setFlag("ukiran_YTTL_glowIs", true)
    setFlag("ukiran_YTTL_glowTaking", true)
    setFlag("ukiran_YTTL_glowToo", true)
    setFlag("ukiran_YTTL_glowLong", true)

    wait(0.05)

    setFlag("ukiran_YTTL_glowIs", false)
    setFlag("ukiran_YTTL_glowTaking", false)
    setFlag("ukiran_YTTL_glowToo", false)
    setFlag("ukiran_YTTL_glowLong", false)
    wait(0.70)


    -- EEHEEEHEEEHEE
    playSound("event:/ukiranMDspookFX/YTTL_LAUGH")
    -- timebunny handles enabling the drain. Set the drain with the Drain Controller!
    setFlag("ukiran_YTTL_timebunny", true)

    -- superhousekeeping
    setFlag("ukiran_YTTL_start", false)
    setFlag("ukiran_YTTL_Is", false)
    setFlag("ukiran_YTTL_taking", false)
    setFlag("ukiran_YTTL_too", false)
    setFlag("ukiran_YTTL_long", false)

    enablePause()
end
